:root {
    --primary-color: #26547C;
    --accent-color: #EF476F;
    --secondary-color: #FFD166;
    --tertiary-color: #06D6A0;
}

*,
*::after,
*::before {
    padding: 0;
    margin: 0;
    box-sizing: inherit;
}

html {
    font-size: 62.5%;
    overflow: hidden;
}

body {
    box-sizing: border-box;
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    background-color: var(--primary-color, #26547C);
}

.container {
    max-width: 1024px;
    width: 100vw;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4rem;
    padding: 3rem;
    height: 100vh;
}

.header
{
    width: 100%;
    color: var(--accent-color);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 1rem;
    h1 {
        font-weight: 700;
        font-size: 2.8rem;
    }
    h3{
        text-transform: capitalize;
        font-size: 1.9rem;
    }
}


.buttons-container
{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;

    button {
        background: transparent;
        border: none;
        outline: none;
        font-size: 1.8rem;
        font-weight: 500;
        transition: all .5s ease-in;

        &.btn-active,
        &:hover {
            cursor: pointer;
            font-size: 2rem;
            color: var(--accent-color);
            font-weight: 700;
            transition: all .5s ease-in;
        }
    }
}

.container-timers
{
    display: flex;
    justify-content: center;
    width: 100%;
    position: relative;
    height: 27rem;

    .container-timer {
        position: absolute;
        opacity: 0;
        transition: all 0.5s ease-in;
        display: flex;
        flex-direction: column;
                visibility: hidden;
                    pointer-events: none;

        .timer-border
        {
            width: 20rem;
            height: 20rem;
            border: 10px solid #fff;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 100%;

            h3 {
                font-size: 3rem;
                color: #fff;
                font-weight: bold;
            }
        }

        button {
            background: transparent;
            outline: none;
            border: none;
            .icon-btn{
                color: #fff;
                width: 8rem;
                height: 8rem;
                position: absolute;
                bottom: -8rem;
            }

            .icon-increment{
                left: -5rem
            }

            .icon-decrement{
                right: -5rem;
            }
        }


    }
    .container-timer.timer-active {
        opacity: 1;
        transition: all 0.5s ease-in;
        visibility: visible;
        pointer-events: auto;
    }
}



.start-buttons {
    display: flex;
    gap: 0.4rem;
    justify-items: center;
    align-items: center;
    position: relative;
    button {
        border-radius: 100%;
        border: none;
        outline: none;
        background-color: transparent;
        .icon-status{
            color: var(--secondary-color, #FFD166);
            width: 10rem;
            height: 10rem;
        }

        .icon-play {
            margin-top: -10rem;
            color: var(--accent-color, #EF476F);
            width: 12rem;
            height: 12rem;
        }

        .icon-reset {
            transform: rotate(180deg);
        }
    }
}

.countdown-container{
    width: 20rem;
    height: 20rem;
    border-radius: 100%;
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: center;
    border: 8px solid #fff;

    h3, span{
        font-weight: 700;
        font-family: Verdana, Geneva, Tahoma, sans-serif;
        font-size: 3.4rem;
        color: #fff;
    }
}

.buttons-hiden
{
    opacity: 0;
    visibility: hidden;
    transition: all 0.5s ease-in;
    height: 0;
}

.circles-container {
    display: flex;
    gap: 2rem;
    align-items: center;
    justify-content: center;

    .circle {
        width: 4rem;
        height: 4rem;
        border: 2px solid #fff;
        background-color: transparent;
        border-radius: 100%;
        transition: all 0.5s ease-in;

        &.circle-full{
            border-color: var(--secondary-color, #FFD166);
            background-color: var(--secondary-color, #FFD166);
            transition: all 0.5s ease-in;
        }
    }
}

